model_list: 
  - model_name: Azure OpenAI GPT-4 Canada
    litellm_params:
      model: azure/gpt-4.1-mini
      api_base: os.environ/AZURE_API_BASE
      api_key: os.environ/AZURE_API_KEY
      api_version: "2023-07-01-preview"
    model_info:
      mode: chat
      input_cost_per_token: 0.0002
      id: gm
  - model_name: azure-embedding-model
    litellm_params:
      model: azure/text-embedding-ada-002
      api_base: os.environ/AZURE_API_BASE
      api_key: os.environ/AZURE_API_KEY
      api_version: "2023-07-01-preview"
    model_info:
      mode: embedding
      input_cost_per_token: 0.002
      id: hello

litellm_settings:
  drop_params: True
  set_verbose: True
  callbacks: custom_callbacks.my_custom_logger